Subject: heap_openr failure with portals

From: [email-masked] (Jean Anderson)
Date: Tue, 1 Sep 92 15:04:18 -0700

Greetings,
 
I was fiddling with the testlibpq.c sample code on page 100 of the Postgres
Reference. It was getting a heap_openr failure on 'retrieve portal':

      21       PQexec ("retrieve portal eportal (EMP.all)");
   (dbx) n
   WARN:Sep  1 14:23:51:heap_openr on EMP failed

So I tried it in the monitor. Initially it worked fine.  But as soon as I
tried it a second time, it failed with the same error:

     * begin \g

     Query sent to backend is "begin "
     BEGIN
     Go
     * retrieve portal eportal (EMP.all) \g

     Query sent to backend is "retrieve portal eportal (EMP.all) "
     WARN:Sep  1 14:39:38:heap_openr on EMP failed

I recreated the demo database and restarted the postmaster, and I still get
the same error. A simple "retrieve (emp.all)" still works.

This is on a

     SUN 4/110 sparc, SUN OS 4.1.1
     Postgres 4.0.1

Any ideas?

thanks,

  -jean
   [email-masked]